Subject: RE: Cygwin, ssh, and top
From: "David Christensen" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Sun, 16 Oct 2005 13:06:24 -0700

David Rothenberger wrote on cygwin:
> Try setting COLUMNS to 79 with the comment "export COLUMNS=79".
> I had this problem when I ran the Cygwin ssh client from bash *in a 
> CMD.EXE window*. For some reason, Debian miscalculated the COLUMNS
> size; it was 1 column too large. When I manually set COLUMNS (from
> 130 to 129 in my case), top worked correctly.
> I recommend running ssh from bash in an rxvt window instead of using
> the CMD.EXE window. This will give you an "xterm" terminal in Debian
> which will work much better. I use it all the time with Debian 3.1
> and have no problems.

Invoking rxvt from a Cygwin Bash shell and then ssh'ing into Debian and
customized Slackware gives me the same results as Putty -- e.g. everything works
on Debian 3.0 and 3.1, and the customized Slackware is messed up.

My preference is still that Cygwin bash ssh work correctly with Debian 3.1, and
I believe the problem is with whatever package provides terminal stuff in Debian
3.1.  I'll try to find the package and file a bug report.

David

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/